Skip to main content
GET
Meters with their latest reading, the one before it, and the resulting rate per day.

Headers

Range
string

Limiting and Pagination

Range-Unit
string
default:items

Limiting and Pagination

Prefer
enum<string>

Preference

Available options:
count=none

Query Parameters

meter_id
string
asset_id
string
asset_number
string
asset_name
string
code
string
name
string
meter_type
string
unit_of_measure
string
current_reading
string
last_reading_at
string
is_cumulative
string
rollover_value
string
is_active
string
reading_count
string
previous_reading
string
previous_reading_at
string
units_per_day
string
select
string

Filtering Columns

order
string

Ordering

offset
string

Limiting and Pagination

limit
string

Limiting and Pagination

Response

OK

asset_id
string<uuid>

Note: This is a Foreign Key to asset_contracts.asset_id.

asset_name
string<character varying>
Maximum string length: 250
asset_number
string<character varying>
Maximum string length: 80
code
string<character varying>
Maximum string length: 60
current_reading
number<numeric>
is_active
boolean<boolean>
is_cumulative
boolean<boolean>
last_reading_at
string<timestamp with time zone>
meter_id
string<uuid>

Note: This is a Primary Key.

meter_type
string<character varying>
Maximum string length: 60
name
string<character varying>
Maximum string length: 150
previous_reading
number<numeric>
previous_reading_at
string<timestamp with time zone>
reading_count
integer<bigint>
rollover_value
number<numeric>
unit_of_measure
string<character varying>
Maximum string length: 30
units_per_day
number<numeric>